/*
 * @Author: Kane
 * @Date: 2023-11-02 16:54:42
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/archievement/bi/QueryTelsalerRenewalRateReportResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
/*
 * @Author: Kane
 * @Date: 2023-11-01 16:51:53
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/archievement/bi/QueryTelsalerAttachingRateReportResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.archievement.bi;

import java.util.ArrayList;
import com.cpic.xim.mybatis.pojo.BITelsalerAttachingRateRecord;
import com.cpic.xim.mybatis.pojo.BITelsalerRenewalRateRecord;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class QueryTelsalerRenewalRateReportResponse extends QueryResponse
{
    @JsonProperty("records")
    ArrayList<BITelsalerRenewalRateRecord> records;

    public QueryTelsalerRenewalRateReportResponse( boolean success, String message,
            ArrayList<BITelsalerRenewalRateRecord> records )
    {
        super( success, message );
        this.records = records;
    }

    public QueryTelsalerRenewalRateReportResponse()
    {
        super( false, "" );

        this.records = null;
    }

    public ArrayList<BITelsalerRenewalRateRecord> getRecords()
    {
        return records;
    }

    public void setRecords( ArrayList<BITelsalerRenewalRateRecord> records )
    {
        this.records = records;
    }

    @Override
    public String toString()
    {
        return "QueryTelsalerAttachingRateReportResponse [records=" + records + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + ((records == null) ? 0 : records.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( !super.equals( obj ) )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        QueryTelsalerRenewalRateReportResponse other =
                (QueryTelsalerRenewalRateReportResponse) obj;
        if ( records == null )
        {
            if ( other.records != null )
                return false;
        }
        else if ( !records.equals( other.records ) )
            return false;
        return true;
    }
    
}
